# Copyright © 2020 Profirator Oy, HYPERTEGRITY AG, omp computer gmbh
# This file is covered by the EUPL license.
# You may obtain a copy of the licence at
# https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12

apiVersion: apps/v1
kind: StatefulSet
metadata:
  creationTimestamp: null
  labels:
    app: umbrella-elasticsearch
  name: umbrella-elasticsearch
spec:
  selector:
    matchLabels:
      app: umbrella-elasticsearch
  replicas: 1
  serviceName: elasticsearch
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: umbrella-elasticsearch
    spec:
      containers:
      - args:
        - elasticsearch
        - -Des.index.max_result_window=50000
        image: elasticsearch:2.4
        name: umbrella-elasticsearch
        resources:
          requests:
          # Resource requests are defined in the .gitlab-ci.yaml
            memory: MEMORYREQUEST1
            cpu: CPUREQUEST1
        volumeMounts:
        - mountPath: /usr/share/elasticsearch/data
          name: NAMESPACE-esdata
      restartPolicy: Always
  volumeClaimTemplates:
    - apiVersion: v1
      kind: PersistentVolumeClaim
      metadata:
        annotations:
          volume.beta.kubernetes.io/storage-class: storage-class
        creationTimestamp: null
        name: NAMESPACE-esdata
      spec:
        accessModes:
        - ReadWriteOnce
        resources:
          requests:
            storage: 40Gi
        storageClassName: storage-class
        volumeMode: Filesystem
      status:
        phase: Pending

---

apiVersion: v1
kind: Service
metadata:
  creationTimestamp: null
  labels:
    app: umbrella-elasticsearch
  name: umbrella-elasticsearch
spec:
  ports:
  - name: "9200"
    port: 9200
    targetPort: 9200
  - name: "9300"
    port: 9300
    targetPort: 9300
  type: ClusterIP
  selector:
    app: umbrella-elasticsearch
status:
  loadBalancer: {}